## espeak 1.48.15%2Bdfsg

=== debian/control ===
Source: espeak
Section: sound
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
Uploaders: Samuel Thibault <sthibault@debian.org>
Vcs-Browser: https://salsa.debian.org/a11y-team/espeak
Vcs-Git: https://salsa.debian.org/a11y-team/espeak.git
Homepage: http://espeak.sourceforge.net/
Build-Depends: debhelper-compat (= 12), portaudio19-dev, libsonic-dev, libpulse-dev
Standards-Version: 4.5.0

Package: espeak
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi-lingual software speech synthesizer
 eSpeak is a software speech synthesizer for English, and some other
 languages.
 .
 eSpeak produces good quality English speech. It uses a different synthesis
 method from other open source text to speech (TTS) engines, and sounds quite
 different. It's perhaps not as natural or "smooth", but some find the
 articulation clearer and easier to listen to for long periods.
 .
 It can run as a command line program to speak text from a file or from stdin.
 .
   * Includes different Voices, whose characteristics can be altered.
   * Can produce speech output as a WAV file.
   * Can translate text to phoneme codes, so it could be adapted as a front end
     for another speech synthesis engine.
   * Potential for other languages. More than 40 languages are included.
   * Compact size. The program and its data total about 350 kbytes.
   * Written in C++.

Package: espeak-data
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: Multi-lingual software speech synthesizer: speech data files
 eSpeak is a software speech synthesizer for English, and some other
 languages.
 .
 This package contains necessary synthesizer data files needed
 for the espeak program, and the shared library.

Package: espeak-data-udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}
Package-Type: udeb
Description: Multi-lingual software speech synthesizer: data for d-i
 eSpeak is a software speech synthesizer for English, and some other
 languages.
 .
 This package contains necessary synthesizer data files needed
 for the espeak program, and the shared library, packed for the Debian
 Installer.

Package: libespeak1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, espeak-data (= ${binary:Version})
Description: Multi-lingual software speech synthesizer: shared library
 eSpeak is a software speech synthesizer for English, and some other
 languages.
 .
 This package contains the espeak program in a shared library.

Package: libespeak-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libespeak1 (= ${binary:Version})
Description: Multi-lingual software speech synthesizer: development files
 eSpeak is a software speech synthesizer for English, and some other
 languages.
 .
 This package contains the eSpeak development files needed to
 build against the espeak shared library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

soname=libespeak.so.1
version=$(shell dpkg-parsechangelog|sed -n -e 's/^Version: //p'|cut -d- -f1|cut -d. -f1-2)

include /usr/share/dpkg/architecture.mk
ifeq ($(origin CXX),default)
	CXX = $(DEB_HOST_GNU_TYPE)-g++
endif
ESPEAK_DATA=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	cp src/portaudio19.h src/portaudio.h
	cd src && $(MAKE) DATADIR=$(ESPEAK_DATA)/espeak-data libespeak.a
	# Remove object files so we can rebuild them with
	# AUDIO=runtime enabled
	rm -f src/*.o
	cd src && $(MAKE) DATADIR=$(ESPEAK_DATA)/espeak-data espeak AUDIO=runtime

	# Build static speak binary
	cd platforms/big_endian && CFLAGS="$(CFLAGS)" $(MAKE) CXX=$(CXX)
	# Build voice metadata.
	cp -a $(CURDIR)/espeak-data $(CURDIR)/espeak-data-local
	$(CURDIR)/platforms/big_endian/espeak-phoneme-data $(CURDIR)/espeak-data-local $(CURDIR)/espeak-data-local $(CURDIR)/espeak-data-local/phondata-manifest

override_dh_auto_clean:
	dh_auto_clean

	-cd src && $(MAKE) distclean
	cp -f src/portaudio18.h src/portaudio.h
	-cd platforms/big_endian && $(MAKE) clean

override_dh_auto_install:
	install -m 755 -o root -g root src/espeak $(CURDIR)/debian/espeak/usr/bin/espeak
	install -d $(CURDIR)/debian/espeak-data$(ESPEAK_DATA)
	cp -r espeak-data-local $(CURDIR)/debian/espeak-data$(ESPEAK_DATA)/espeak-data
	find $(CURDIR)/debian/espeak-data/usr/lib -type f -exec chmod 644 {} \;
	find $(CURDIR)/debian/espeak-data/usr/lib -type d -exec chmod 755 {} \;
	cp -al $(CURDIR)/debian/espeak-data/usr $(CURDIR)/debian/espeak-data-udeb
	rm -fr $(CURDIR)/debian/espeak-data-udeb$(ESPEAK_DATA)/espeak-data/mbrola* $(CURDIR)/debian/espeak-data-udeb$(ESPEAK_DATA)/espeak-data/voices/mb $(CURDIR)/debian/espeak-data-udeb$(ESPEAK_DATA)/espeak-data/voices/test
	mkdir -p $(CURDIR)/debian/libespeak1$(ESPEAK_DATA)
	mkdir -p $(CURDIR)/debian/libespeak-dev$(ESPEAK_DATA)
	install -m 644 -o root -g root src/$(soname).$(version) $(CURDIR)/debian/libespeak1$(ESPEAK_DATA)/$(soname).$(version)
	cd $(CURDIR)/debian/libespeak1$(ESPEAK_DATA) && ln -s $(soname).$(version) $(soname)
	cd $(CURDIR)/debian/libespeak1$(ESPEAK_DATA) && ln -s $(soname).$(version) libespeak.so
	mv $(CURDIR)/debian/libespeak1$(ESPEAK_DATA)/libespeak.so $(CURDIR)/debian/libespeak-dev$(ESPEAK_DATA)
	install -m 644 -o root -g root src/libespeak.a $(CURDIR)/debian/libespeak-dev$(ESPEAK_DATA)
	install -m 644 -o root -g root src/speak_lib.h $(CURDIR)/debian/libespeak-dev/usr/include/espeak

override_dh_installdocs:
	dh_installdocs
	sed -i -e 's&<img src="http://sflogo.sourceforge.net[^>]*>&&' debian/espeak/usr/share/doc/espeak/docs/*.html

override_dh_strip:
	dh_strip --ddeb-migration='espeak-dbg (<< 1.48.04+dfsg-3~)'

override_dh_makeshlibs:
	dh_makeshlibs -V

## espeak 1.48.15+dfsg

=== Makefile ===
# remove -fno-exceptions  if it causes problems with stdio library on some platforms (ARM)

DATADIR=/usr/share/espeak-data

PREFIX=/usr
BINDIR=$(PREFIX)/bin
INCDIR=$(PREFIX)/include/espeak
LIBDIR=$(PREFIX)/lib

RELEASE = 1.47
BIN_NAME = speak
BIN2_NAME = espeak
LIB_NAME = libespeak.so
STATIC_LIB_NAME = libespeak.a
LIB_VERSION = 1
LIBTAG = $(LIB_VERSION).$(RELEASE)

# Use SONAME_OPT=-Wl,h, on Solaris
SONAME_OPT=-Wl,-soname,

# Use EXTRA_LIBS=-lm on Solaris
EXTRA_LIBS =

INSTALL = install
LN_SF = /bin/ln -sf
MKDIR = mkdir -p

# 'runtime' uses pulseaudio if it is running, else uses portaudio
#AUDIO = runtime
AUDIO = portaudio
#AUDIO = portaudio0
#AUDIO = portaudio2
#AUDIO = pulseaudio
#AUDIO = sada

ifeq ($(AUDIO),runtime)
WAVE=wave.cpp wave_pulse.cpp
LIB_AUDIO=-lpulse -lpulse-simple -lportaudio
USE_AUDIO=-DUSE_PULSEAUDIO -DUSE_PORTAUDIO
else
ifeq ($(AUDIO),pulseaudio)
WAVE=wave_pulse.cpp
LIB_AUDIO=-lpulse
USE_AUDIO=-DUSE_PULSEAUDIO
else
ifeq ($(AUDIO),portaudio)
WAVE=wave.cpp
LIB_AUDIO=-lportaudio
USE_AUDIO=-DUSE_PORTAUDIO
else
ifeq ($(AUDIO),portaudio0)
WAVE=wave.cpp
LIB_AUDIO=/usr/lib/libportaudio.so.0
USE_AUDIO=-DUSE_PORTAUDIO
else
ifeq ($(AUDIO),portaudio2)
WAVE=wave.cpp
LIB_AUDIO=/usr/lib/libportaudio.so.2
USE_AUDIO=-DUSE_PORTAUDIO
else
ifeq ($(AUDIO),sada)
WAVE=wave_sada.cpp
USE_AUDIO=-DUSE_SADA
else
WAVE=wave.cpp
endif
endif
endif
endif
endif
endif

speak_SOURCES = speak.cpp compiledict.cpp dictionary.cpp intonation.cpp \
	readclause.cpp setlengths.cpp numbers.cpp synth_mbrola.cpp \
	synthdata.cpp synthesize.cpp translate.cpp mbrowrap.cpp \
	tr_languages.cpp voices.cpp wavegen.cpp phonemelist.cpp klatt.cpp sonic.cpp

libespeak_SOURCES = speak_lib.cpp compiledict.cpp dictionary.cpp intonation.cpp \
	readclause.cpp setlengths.cpp numbers.cpp synth_mbrola.cpp \
	synthdata.cpp synthesize.cpp translate.cpp mbrowrap.cpp \
	tr_languages.cpp voices.cpp wavegen.cpp phonemelist.cpp \
	espeak_command.cpp event.cpp fifo.cpp $(WAVE) debug.cpp klatt.cpp sonic.cpp

SRCS1=$(speak_SOURCES)
OBJS1=$(patsubst %.cpp,%.o,$(SRCS1))
LIBS1=-lstdc++ $(LIB_AUDIO) -lpthread $(EXTRA_LIBS)

SRCS2=$(libespeak_SOURCES)
OBJS2=$(patsubst %.cpp,x_%.o,$(SRCS2))
LIBS2=-lstdc++ $(LIB_AUDIO) -lpthread

SRCS3 = espeak.cpp
OBJS3=$(patsubst %.cpp,%.o,$(SRCS3))
LIBS3=-lstdc++ -L . -lespeak

CXXFLAGS=-O2


all: $(BIN_NAME) $(LIB_NAME) $(STATIC_LIB_NAME) $(BIN2_NAME)

.cpp.o:
	$(CXX) $(CXXFLAGS) $(USE_AUDIO) -D PATH_ESPEAK_DATA=\"$(DATADIR)\" -Wall -pedantic -I. -c -fno-exceptions  $<

$(BIN_NAME): $(OBJS1)
	$(CXX) $(LDFLAGS) -o $@ $(OBJS1) $(LIBS1)

$(BIN2_NAME): $(OBJS3) $(LIB_NAME)
	$(CXX) $(LDFLAGS) -o $@ $(OBJS3) $(LIBS3)



x_%.o: %.cpp
	$(CXX) $(CXXFLAGS) $(USE_AUDIO) -D PATH_ESPEAK_DATA=\"$(DATADIR)\" -Wall -fpic -fvisibility=hidden -pedantic \
	-I. -D LIBRARY -c -fno-exceptions  $<  -o x_$*.o

$(LIB_NAME): $(OBJS2)
	$(CXX) $(LDFLAGS) -shared $(SONAME_OPT)$(LIB_NAME).$(LIB_VERSION) -o $@ \
	$(OBJS2) $(LIBS2)
	mv $(LIB_NAME) $(LIB_NAME).$(LIBTAG)
	$(LN_SF) $(LIB_NAME).$(LIBTAG) $(LIB_NAME).$(LIB_VERSION)
	$(LN_SF) $(LIB_NAME).$(LIB_VERSION) $(LIB_NAME)

$(STATIC_LIB_NAME): $(OBJS2)
	$(AR) cqs $(STATIC_LIB_NAME) $(OBJS2)

clean:
	rm -f *.o *.a *~

distclean: clean
	rm -f $(BIN_NAME)
	rm -f $(BIN2_NAME)
	rm -f $(LIB_NAME)*

install: all
	# Create directories
	rm -rf $(DESTDIR)$(DATADIR)
	$(MKDIR) $(DESTDIR)$(BINDIR)
	$(MKDIR) $(DESTDIR)$(LIBDIR)
	$(MKDIR) $(DESTDIR)$(INCDIR)
	$(MKDIR) $(DESTDIR)$(DATADIR)
	# Install espeak executable
	$(INSTALL) -m 755 $(BIN2_NAME) $(DESTDIR)$(BINDIR)
	# Install shared library
	$(INSTALL) -m 755 $(LIB_NAME).$(LIBTAG) $(DESTDIR)$(LIBDIR)
	# Install static library
	$(INSTALL) -m 755 $(STATIC_LIB_NAME) $(DESTDIR)$(LIBDIR)
	$(LN_SF) $(LIB_NAME).$(LIBTAG) $(DESTDIR)$(LIBDIR)/$(LIB_NAME).$(LIB_VERSION)
	$(LN_SF) $(LIB_NAME).$(LIB_VERSION) $(DESTDIR)$(LIBDIR)/$(LIB_NAME)
	# Install development headers
	$(INSTALL) -pm 644 speak_lib.h $(DESTDIR)$(INCDIR)
	# Install data files
	cp -prf ../espeak-data/* $(DESTDIR)$(DATADIR)

=== src/Makefile ===
# remove -fno-exceptions  if it causes problems with stdio library on some platforms (ARM)

DATADIR=/usr/share/espeak-data

PREFIX=/usr
BINDIR=$(PREFIX)/bin
INCDIR=$(PREFIX)/include/espeak
LIBDIR=$(PREFIX)/lib

RELEASE = 1.48
BIN_NAME = speak
BIN2_NAME = espeak
LIB_NAME = libespeak.so
STATIC_LIB_NAME = libespeak.a
LIB_VERSION = 1
LIBTAG = $(LIB_VERSION).$(RELEASE)

# Use SONAME_OPT=-Wl,h, on Solaris
SONAME_OPT=-Wl,-soname,

# Use EXTRA_LIBS=-lm on Solaris
EXTRA_LIBS =

INSTALL = install
LN_SF = /bin/ln -sf
MKDIR = mkdir -p

# 'runtime' uses pulseaudio if it is running, else uses portaudio
#AUDIO = runtime
AUDIO = portaudio
#AUDIO = portaudio0
#AUDIO = portaudio2
#AUDIO = pulseaudio
#AUDIO = sada

ifeq ($(AUDIO),runtime)
WAVE=wave.cpp wave_pulse.cpp
LIB_AUDIO=-lpulse -lpulse-simple -lportaudio
USE_AUDIO=-DUSE_PULSEAUDIO -DUSE_PORTAUDIO
else
ifeq ($(AUDIO),pulseaudio)
WAVE=wave_pulse.cpp
LIB_AUDIO=-lpulse
USE_AUDIO=-DUSE_PULSEAUDIO
else
ifeq ($(AUDIO),portaudio)
WAVE=wave.cpp
LIB_AUDIO=-lportaudio
USE_AUDIO=-DUSE_PORTAUDIO
else
ifeq ($(AUDIO),portaudio0)
WAVE=wave.cpp
LIB_AUDIO=/usr/lib/libportaudio.so.0
USE_AUDIO=-DUSE_PORTAUDIO
else
ifeq ($(AUDIO),portaudio2)
WAVE=wave.cpp
LIB_AUDIO=/usr/lib/libportaudio.so.2
USE_AUDIO=-DUSE_PORTAUDIO
else
ifeq ($(AUDIO),sada)
WAVE=wave_sada.cpp
USE_AUDIO=-DUSE_SADA
else
WAVE=wave.cpp
endif
endif
endif
endif
endif
endif

speak_SOURCES = speak.cpp compiledict.cpp dictionary.cpp intonation.cpp \
	readclause.cpp setlengths.cpp numbers.cpp synth_mbrola.cpp \
	synthdata.cpp synthesize.cpp translate.cpp mbrowrap.cpp \
	tr_languages.cpp voices.cpp wavegen.cpp phonemelist.cpp klatt.cpp sonic.cpp

libespeak_SOURCES = speak_lib.cpp compiledict.cpp dictionary.cpp intonation.cpp \
	readclause.cpp setlengths.cpp numbers.cpp synth_mbrola.cpp \
	synthdata.cpp synthesize.cpp translate.cpp mbrowrap.cpp \
	tr_languages.cpp voices.cpp wavegen.cpp phonemelist.cpp \
	espeak_command.cpp event.cpp fifo.cpp $(WAVE) debug.cpp klatt.cpp sonic.cpp

SRCS1=$(speak_SOURCES)
OBJS1=$(patsubst %.cpp,%.o,$(SRCS1))
LIBS1=-lstdc++ $(LIB_AUDIO) -lpthread $(EXTRA_LIBS)

SRCS2=$(libespeak_SOURCES)
OBJS2=$(patsubst %.cpp,x_%.o,$(SRCS2))
LIBS2=-lstdc++ $(LIB_AUDIO) -lpthread

SRCS3 = espeak.cpp
OBJS3=$(patsubst %.cpp,%.o,$(SRCS3))
LIBS3=-lstdc++ -L . -lespeak

CXXFLAGS=-O2


all: $(BIN_NAME) $(LIB_NAME) $(STATIC_LIB_NAME) $(BIN2_NAME)

.cpp.o:
	$(CXX) $(CXXFLAGS) $(USE_AUDIO) -D PATH_ESPEAK_DATA=\"$(DATADIR)\" -Wall -pedantic -I. -c -fno-exceptions  $<

$(BIN_NAME): $(OBJS1)
	$(CXX) $(LDFLAGS) -o $@ $(OBJS1) $(LIBS1)

$(BIN2_NAME): $(OBJS3) $(LIB_NAME)
	$(CXX) $(LDFLAGS) -o $@ $(OBJS3) $(LIBS3)



x_%.o: %.cpp
	$(CXX) $(CXXFLAGS) $(USE_AUDIO) -D PATH_ESPEAK_DATA=\"$(DATADIR)\" -Wall -fpic -fvisibility=hidden -pedantic \
	-I. -D LIBRARY -c -fno-exceptions  $<  -o x_$*.o

$(LIB_NAME): $(OBJS2)
	$(CXX) $(LDFLAGS) -shared $(SONAME_OPT)$(LIB_NAME).$(LIB_VERSION) -o $@ \
	$(OBJS2) $(LIBS2)
	mv $(LIB_NAME) $(LIB_NAME).$(LIBTAG)
	$(LN_SF) $(LIB_NAME).$(LIBTAG) $(LIB_NAME).$(LIB_VERSION)
	$(LN_SF) $(LIB_NAME).$(LIB_VERSION) $(LIB_NAME)

$(STATIC_LIB_NAME): $(OBJS2)
	$(AR) cqs $(STATIC_LIB_NAME) $(OBJS2)

clean:
	rm -f *.o *.a *~

distclean: clean
	rm -f $(BIN_NAME)
	rm -f $(BIN2_NAME)
	rm -f $(LIB_NAME)*

install: all
	# Create directories
	rm -rf $(DESTDIR)$(DATADIR)
	$(MKDIR) $(DESTDIR)$(BINDIR)
	$(MKDIR) $(DESTDIR)$(LIBDIR)
	$(MKDIR) $(DESTDIR)$(INCDIR)
	$(MKDIR) $(DESTDIR)$(DATADIR)
	# Install espeak executable
	$(INSTALL) -m 755 $(BIN2_NAME) $(DESTDIR)$(BINDIR)
	# Install shared library
	$(INSTALL) -m 755 $(LIB_NAME).$(LIBTAG) $(DESTDIR)$(LIBDIR)
	# Install static library
	$(INSTALL) -m 755 $(STATIC_LIB_NAME) $(DESTDIR)$(LIBDIR)
	$(LN_SF) $(LIB_NAME).$(LIBTAG) $(DESTDIR)$(LIBDIR)/$(LIB_NAME).$(LIB_VERSION)
	$(LN_SF) $(LIB_NAME).$(LIB_VERSION) $(DESTDIR)$(LIBDIR)/$(LIB_NAME)
	# Install development headers
	$(INSTALL) -pm 644 speak_lib.h $(DESTDIR)$(INCDIR)
	# Install data files
	cp -prf ../espeak-data/* $(DESTDIR)$(DATADIR)

=== debian/changelog ===
espeak (1.48.15+dfsg-4) unstable; urgency=medium

  * control: Bump Standards-Version to 4.6.0 (no change)
  * rules: Leverage /usr/share/dpkg/pkg-info.mk to provide package
    information.
  * source/lintian-overrides: Silence lintian warning.
  * clean: Fix cleaning espeak-data-local (Closes: Bug#1044776, Bug#1049480)
  * control, rules: Drop unused espeak-data-udeb.
  * rules: Fix building for-build espeak-phoneme-data in cross-build case.
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.2, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 06 Dec 2025 14:42:42 +0100

espeak (1.48.15+dfsg-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * watch: Monitor latest upstream first.
  * rules: Do not request root uid from install.
  * control: Set Rules-Requires-Root to no.
  * rules: Drop ddeb-migration rules, now useless

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #993098)

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 27 Aug 2021 23:12:20 +0200

espeak (1.48.15+dfsg-2) unstable; urgency=medium

  * patches/flags: Fix passing CPPFLAGS and LDFLAGS.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2021 16:48:21 +0100

espeak (1.48.15+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * watch: Add latest.html upstream URL.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 30 Dec 2020 18:13:00 +0100

espeak (1.48.04+dfsg-9) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Update alioth list domain.
  * patches/mbrola-fr4: Fix using espeak with mbrola-fr4 when mbrola-fr1 is
    not installed.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 07 Oct 2020 20:56:28 +0200

espeak (1.48.04+dfsg-8) unstable; urgency=medium

  * control: Set Vcs-* to salsa.debian.org
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * watch: Generalize pattern.
  * espeak.doc-base: Typo.
  * copyright: fix FSF address.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 14 Dec 2019 17:44:10 +0100

espeak (1.48.04+dfsg-7) unstable; urgency=medium

  * control: Bump Standards-Version to 4.2.0 (no changes).
  * tests/control: Add autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Oct 2018 18:26:10 +0200

espeak (1.48.04+dfsg-6) unstable; urgency=medium

  * control: Remove Mario from Uploaders (Closes: Bug#840866).
  * Use canonical anonscm vcs URL.
  * control: Update maintainer mailing list.
  * control: Bump Standards-Version to 4.1.4.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Apr 2018 17:20:22 +0200

espeak (1.48.04+dfsg-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #836690)
    + Pass triplet-prefixed CXX to make

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 19:42:23 +0200

espeak (1.48.04+dfsg-4) unstable; urgency=medium

  * patches/path: Drop looking for voices in /usr/share/mbrola/voices: our
    Debian packages never put voices there, and letting espeak look there
    would show a warning to the user that suggests that voices should be put
    there, which is not the case in Debian.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 18:29:54 +0200

espeak (1.48.04+dfsg-3) unstable; urgency=medium

  * patches/char_cast: New patch, fixes build with g++-6 (Closes: Bug#811772).
  * rules: Set ddeb-migration.
  * control: Depend on debhelper 9.20150628 for ddeb-migration.
  * control: Bump Standards-Version to 3.9.8 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 May 2016 23:59:25 +0200

espeak (1.48.04+dfsg-2) unstable; urgency=medium

  * watch: Generalize URL.
  * Bump Standards-Version to 3.9.6 (no changes).
  * espeak.1: Update, thus adding -g and -z documentation. Closes: Bug#788190.
  * patches/fpic: Patch from upstream to fix sparc64 build.
  * compat: Bump to 9.
  * rules: Use dh.
  * control: Drop hardening-wrapper build-depend.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Dec 2015 20:30:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: https://salsa.debian.org/a11y-team/espeak
 Vcs-Git: https://salsa.debian.org/a11y-team/espeak.git
-Homepage: http://espeak.sourceforge.net/
-Build-Depends: debhelper-compat (= 12), portaudio19-dev, libsonic-dev, libpulse-dev
-Standards-Version: 4.5.0
+Homepage: https://espeak.sourceforge.net/
+Build-Depends: debhelper-compat (= 13), portaudio19-dev, libsonic-dev, libpulse-dev
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 
 Package: espeak
 Architecture: any
@@ -43,19 +44,6 @@
  This package contains necessary synthesizer data files needed
  for the espeak program, and the shared library.
 
-Package: espeak-data-udeb
-Section: debian-installer
-Architecture: any
-Depends: ${misc:Depends}
-Package-Type: udeb
-Description: Multi-lingual software speech synthesizer: data for d-i
- eSpeak is a software speech synthesizer for English, and some other
- languages.
- .
- This package contains necessary synthesizer data files needed
- for the espeak program, and the shared library, packed for the Debian
- Installer.
-
 Package: libespeak1
 Architecture: any
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

include /usr/share/dpkg/pkg-info.mk

soname=libespeak.so.1
version=$(shell echo $(DEB_VERSION_UPSTREAM_REVISION) | cut -d. -f1-2)

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildtools.mk
ESPEAK_DATA=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	cp src/portaudio19.h src/portaudio.h
	dh_auto_build --sourcedirectory=src -- DATADIR=$(ESPEAK_DATA)/espeak-data libespeak.a
	# Remove object files so we can rebuild them with
	# AUDIO=runtime enabled
	rm -f src/*.o
	dh_auto_build --sourcedirectory=src -- DATADIR=$(ESPEAK_DATA)/espeak-data espeak AUDIO=runtime

	# Build static speak binary
	cd platforms/big_endian && CFLAGS="$(shell dpkg-buildflags --get CFLAGS_FOR_BUILD)" $(MAKE) CC=$(CC_FOR_BUILD)
	# Build voice metadata.
	cp -a $(CURDIR)/espeak-data $(CURDIR)/espeak-data-local
	$(CURDIR)/platforms/big_endian/espeak-phoneme-data $(CURDIR)/espeak-data-local $(CURDIR)/espeak-data-local $(CURDIR)/espeak-data-local/phondata-manifest

override_dh_auto_clean:
	dh_auto_clean

	-cd src && $(MAKE) distclean
	cp -f src/portaudio18.h src/portaudio.h
	-cd platforms/big_endian && $(MAKE) clean

override_dh_auto_install:
	install -m 755 src/espeak $(CURDIR)/debian/espeak/usr/bin/espeak
	install -d $(CURDIR)/debian/espeak-data$(ESPEAK_DATA)
	cp -r espeak-data-local $(CURDIR)/debian/espeak-data$(ESPEAK_DATA)/espeak-data
	find $(CURDIR)/debian/espeak-data/usr/lib -type f -exec chmod 644 {} \;
	find $(CURDIR)/debian/espeak-data/usr/lib -type d -exec chmod 755 {} \;
	mkdir -p $(CURDIR)/debian/libespeak1$(ESPEAK_DATA)
	mkdir -p $(CURDIR)/debian/libespeak-dev$(ESPEAK_DATA)
	install -m 644 src/$(soname).$(version) $(CURDIR)/debian/libespeak1$(ESPEAK_DATA)/$(soname).$(version)
	cd $(CURDIR)/debian/libespeak1$(ESPEAK_DATA) && ln -s $(soname).$(version) $(soname)
	cd $(CURDIR)/debian/libespeak1$(ESPEAK_DATA) && ln -s $(soname).$(version) libespeak.so
	mv $(CURDIR)/debian/libespeak1$(ESPEAK_DATA)/libespeak.so $(CURDIR)/debian/libespeak-dev$(ESPEAK_DATA)
	install -m 644 src/libespeak.a $(CURDIR)/debian/libespeak-dev$(ESPEAK_DATA)
	install -m 644 src/speak_lib.h $(CURDIR)/debian/libespeak-dev/usr/include/espeak

override_dh_installdocs:
	dh_installdocs
	sed -i -e 's&<img src="http://sflogo.sourceforge.net[^>]*>&&' debian/espeak/usr/share/doc/espeak/docs/*.html

override_dh_makeshlibs:
	dh_makeshlibs -V
